<?php

use Carbon\Carbon;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Log;


function generate_asset_url($path){
    return url($path);
}
function menu_array(){
    return [
        /**=======ADMIN MENU========**/


        [
            'role_id' => 1,
            'label'=>'Manage Employee',
            'icon'=>'badge',
            'link'=>'#',
            'sub'=>[

                [
                    'label'=>'Create New',
                    'link'=>url('/module/employee/create')
                ],
                [
                    'label'=>'Employee List',
                    'link'=>url('/module/employee')
                ]
            ]
        ],

        [
            'role_id' => 1,
            'label'=>'Manage Timesheet',
            'icon'=>'badge',
            'link'=>'#',
            'sub'=>[

                [
                    'label'=>'Timesheet With AI',
                    'link'=>url('/module/timesheet/timesheet_with_ai')
                ],
                [
                    'label'=>'Create New Timesheet',
                    'link'=>url('/module/timesheet/create')
                ],
                [
                    'label'=>'Timesheet List',
                    'link'=>url('/module/timesheet')
                ]
            ]
        ],
        [
            'role_id' => 1,
            'label'=>'Facial Recognition',
            'icon'=>'badge',
            'link'=>'#',
            'sub'=>[

                [
                    'label'=>'Attendance',
                    'link'=>url('/module/face_verification')
                ],
                [
                    'label'=>'New Face Entry',
                    'link'=>url('/module/face_entry')
                ],
            ]
        ],



        [
            'role_id' => 1,
            'label'=>'Change Password',
            'icon'=>'lock',
            'link'=>url('/module/change_password')
        ],




        /**=======TimeSheet Uploader Menu========**/
        [
            'role_id' => 2,
            'label'=>'Upload Time-Sheet',
            'icon'=>'badge',
            'link'=>url('/module/timesheet/upload_timesheet')
        ],
        [
            'role_id' => 2,
            'label'=>'Time-Sheet List',
            'icon'=>'badge',
            'link'=>url('/module/timesheet/uploaded_timesheet_list')
        ],
        [
            'role_id' => 2,
            'label'=>'Change Password',
            'icon'=>'lock',
            'link'=>url('/module/change_password')
        ],


        /**=======TS MENU========**/
        [
            'role_id' => 3,
            'label'=>'Employes Timesheet Log',
            'icon'=>'assignment_turned_in',
            'link'=>url('module/timesheet'),
        ],
        [
            'role_id' => 3,
            'label'=>'Verify Time-Sheet',
            'icon'=>'assignment_turned_in',
            'link'=>url('module/timesheet/uploaded_timesheet_list'),
        ],
        [
            'role_id' => 3,
            'label'=>'Upload Time-Sheet',
            'icon'=>'badge',
            'link'=>url('/module/timesheet/upload_timesheet')
        ],
        [
            'role_id' => 3,
            'label'=>'Change Password',
            'icon'=>'lock',
            'link'=>url('/module/change_password')
        ],

    ];
}

function leave_type_array(){
    return [
        'Casual Leave' => 'Casual Leave',
        'Sick Leave' => 'Sick Leave',
        'Earned Leave' => 'Earned Leave',
        'Paternal Leave for 1st Child' => 'Paternal Leave for 1st Child',
        'Paternity Leave for 2nd Child' => 'Paternity Leave for 2nd Child',
        'Maternity Leave for 1st Child' => 'Maternity Leave for 1st Child',
        'Maternity Leave for 2nd Child' => 'Maternity Leave for 2nd Child',
        'Work From Home' => 'Work From Home',
        'Non Paid Leave' => 'Non Paid Leave',
    ];
}
function department_list(){
    return [
        'Business Development' => 'Business Development',
        'Corporate Sales & KAM' => 'Corporate Sales & KAM',
        'Finance & Reporting' => 'Finance & Reporting',
        'Marketing' => 'Marketing',
        'Member Relation' => 'Member Relation',
        'Operations' => 'Operations',
        'Product Development & QA' => 'Product Development & QA',
        'Management' => 'Management',
        'HR & Culture' => 'HR & Culture',
        'Telesales' => 'Telesales',
        'Outstation' => 'Outstation'
    ];
}
function designation_list(){
    return [
        'Junior Executive' => 'Junior Executive',
        'Executive' => 'Executive',
        'Senior Executive (L1)' => 'Senior Executive (L1)',
        'Senior Executive (L2)' => 'Senior Executive (L2)',
        'Assistant Manager' => 'Assistant Manager',
        'Deputy Manager' => 'Deputy Manager',
        'Manager' => 'Manager',
        'Senior Manager' => 'Senior Manager',
        'Assistant Director' => 'Assistant Director',
        'Director' => 'Director',
        'CEO' => 'CEO',
    ];
}
function get_month_list(){
    $month = [];

    for ($m=1; $m<=12; $m++) {
        $name  = date('F', mktime(0,0,0,$m, 1, date('Y')));
        $month[$name] = $name;
    }
    return $month;
}
function get_year_list(){
    $month_list =  range(Carbon::now()->year, 2023);
    $months  = [];
    foreach ($month_list as $item){
        $months[$item] = $item;
    }
    return $months;
}

function sendMail($recipientEmail, $subject, $htmlPart) {
    //return $htmlPart;
    $endpoint = 'https://hr.bikroytech.com/mailer_api/index.php';
    $response = Http::asForm()->post($endpoint, [
        'on_create_leave_application' => true,
        'to' => $recipientEmail,
        'subject' => $subject,
        'html_part' => $htmlPart
    ]);
    //Log::info($response->json());
    return $response->json(); // Return the JSON response
}

