<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use HasFactory;
    protected $table = 'employees';
    protected $fillable = [
        'first_name',
        'last_name',
        'dob',
        'class',
        'address',
        'city',
        'state',
        'zip',
        'dependant',
        'apt',
        'rate_type',
        'regular_rate',
        'benefit_rate',
        'created_at',
        'updated_at'
    ];
    public $timestamps = true;

    public function latestTimesheet()
    {
        return $this->hasOne(Timesheet::class)->latest();
    }
}
