<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TimesheetImage extends Model
{
    use HasFactory;

    protected $table = 'timesheet_images';

    protected $fillable = [
        'image',
        'ai_generated_structure',
        'verified_structure',
        'verified_by',
        'structured_uploaded_by',
        'timesheet_date',
        'remarks',
    ];

    // Casting ai_generated_structure as JSON
    protected $casts = [
        'ai_generated_structure' => 'json',
        'verified_structure' => 'json',
    ];

    public $timestamps = true;
}
