const newLocal = $(document).ready(function () {

    const video = document.getElementById('cameraFeed');
    const photoPreview = $('#photoPreview');
    const capturedImages = [];

    // Initialize AWS SDK
    AWS.config.update({
        region: 'ap-south-1',
        accessKeyId: 'AKIAUGO4KTBLO6DAYF6I', // Replace with your AWS Access Key
        secretAccessKey: 'TNL5yM/TA+RijxP5YbdibwuRt1vuCVu8SJmii8pE', // Replace with your AWS Secret Key
    });

    const s3 = new AWS.S3();

    // Start the camera feed
    navigator.mediaDevices.getUserMedia({video: true}).then((stream) => {
        video.srcObject = stream;
    });

    async function checkEmployeeExists(employee_id) {
        try {
            const lambda = new AWS.Lambda();
            const params = {
                FunctionName: 'checkEmployeeExist', // New Lambda Function
                Payload: JSON.stringify({employee_id}),
            };
            const response = await lambda.invoke(params).promise();
            const payload = JSON.parse(response.Payload);
            const body = JSON.parse(payload.body);
            const exists = body.exists; // Access exists value
            console.log("Employee Exists:", exists);

            return exists; // true or false
        } catch (err) {
            console.error('Error checking employee existence:', err);
            return false;
        }
    }

    // Helper Functions
    function displayError(message) {
        $('#errorMessage').text(message).fadeIn().delay(5000).fadeOut();
    }

    function displaySuccess(message) {
        $('#successMessage').text(message).fadeIn().delay(5000).fadeOut();
    }

    function showLoadingAnimation() {
        $('#loadingOverlay').fadeIn();
    }

    function hideLoadingAnimation() {
        $('#loadingOverlay').fadeOut();
    }


    // Function to Display Employee Info
    function showEmployeeOverlay(employee) {
        // Set values from employee object
        $('#employeeName').text(employee.name || "N/A");
        $('#employeeDept').text(`Department: ${employee.department || "N/A"}`);
        $('#employeeCode').text(`Code: ${employee.code || "N/A"}`);
        $('#employeeProfilePic').attr('src', employee.profilePic || 'https://via.placeholder.com/100');

        // Show Overlay
        $('#employeeOverlay').fadeIn(300);
    }

    // Close Overlay on X Click
    $('#closeEmployeeOverlay').click(() => {
        $('#employeeOverlay').fadeOut(300);
    });


    // Capture photos
    $('#startCapture').click(() => {
        capturedImages.splice(0, capturedImages.length);
        photoPreview.html('');
        let count = 0;
        const interval = setInterval(() => {
            if (count < 3) {
                const canvas = document.createElement('canvas');
                canvas.width = video.videoWidth;
                canvas.height = video.videoHeight;
                canvas.getContext('2d').drawImage(video, 0, 0, canvas.width, canvas.height);
                const imageData = canvas.toDataURL('image/jpeg');
                capturedImages.push(imageData);

                $('<img>').attr('src', imageData)
                    .addClass('img-thumbnail m-2')
                    .hide().appendTo(photoPreview).fadeIn(600);
                count++;
            } else {
                clearInterval(interval);
                $('#registerEmployee').fadeIn(500);
                console.log(capturedImages);
            }
        }, 800);

    });

    $('#registerEmployee').hide();

    // Register employee
    $('#registerEmployee').click(async (event) => {
        event.preventDefault(); // Prevent form submission
        console.log('Register Employee button clicked.');

        const name = $('#name').val();
        const employee_id = $('#employee_id').val();
        const code = $('#code').val();
        const department = $('#department').val();

        if (!name || !employee_id || !code || !department || capturedImages.length === 0) {
            displayError('Please fill out all fields and capture images.');
            return;
        }

        showLoadingAnimation();
        // 👉 Check if Employee Already Exists
        const isEmployeeExists = await checkEmployeeExists(employee_id);
        if (isEmployeeExists) {
            displayError(`Employee with ID ${employee_id} already exists.`);
            hideLoadingAnimation();
            return; // Stop registration
        }
        const uploadedImages = [];

        // Upload images to S3
        for (let i = 0; i < capturedImages.length; i++) {
            const base64String = capturedImages[i].replace(/^data:image\/\w+;base64,/, '');
            const binary = atob(base64String); // Convert Base64 to binary string
            const arrayBuffer = new Uint8Array(binary.length); // Convert binary string to ArrayBuffer
            for (let j = 0; j < binary.length; j++) {
                arrayBuffer[j] = binary.charCodeAt(j);
            }

            const fileName = `${employee_id}-${i}.jpg`;

            const params = {
                Bucket: 'xpert-employee-images', // Replace with your S3 bucket name
                Key: fileName,
                Body: arrayBuffer,
                ContentType: 'image/jpeg',
            };

            try {
                const result = await s3.upload(params).promise();
                uploadedImages.push(result.Location);
                console.log(`Image ${i + 1} uploaded successfully: ${result.Location}`);
            } catch (err) {
                console.error('Error during registration:', err);
                hideLoadingAnimation();
                displayError('Failed to process with image upload.');
                return;
            }
        }

        // Send employee data and image URLs to Lambda
        const lambdaPayload = {
            name,
            employee_id,
            code,
            department,
            images: uploadedImages,
        };

        try {
            const lambda = new AWS.Lambda();
            const params = {
                FunctionName: 'processImage', // Replace with your Lambda function name
                Payload: JSON.stringify(lambdaPayload),
            };

            const response = await lambda.invoke(params).promise();
            const responseData = JSON.parse(response.Payload);
            const body = JSON.parse(responseData.body);
            console.log('Lambda response:', responseData);
            displaySuccess(body.message)
            hideLoadingAnimation();
        } catch (err) {
            console.error('Error invoking Lambda:', err);
            hideLoadingAnimation();
            displayError('Failed to process registration.');
        }
    });


    // Close Employee Info Overlay
    $('#closeEmployeeOverlay').click(() => {
        $('#employeeOverlay').fadeOut(300);
    });


    // Capture a photo
    let capturedImageToVerify;
    $('#loginCapture').click(() => {
        photoPreview.html('');
        const canvas = document.createElement('canvas');
        canvas.width = video.videoWidth;
        canvas.height = video.videoHeight;
        const context = canvas.getContext('2d');
        context.drawImage(video, 0, 0, canvas.width, canvas.height);

        capturedImageToVerify = canvas.toDataURL('image/jpeg');
        const img = $('<img>')
            .attr('src', capturedImageToVerify)
            .addClass('img-thumbnail m-2')
            .css({width: '100px', height: '100px'});
        photoPreview.append(img);
    });
    // Send captured image to Lambda for face recognition
    $('#loginEmployee').click(async () => {
        showLoadingAnimation();
        if (!capturedImageToVerify) {
            displayError('Please capture an image first.');
            hideLoadingAnimation();
            return;
        }

        // 👉 Convert base64 to ArrayBuffer
        const base64String = capturedImageToVerify.replace(/^data:image\/\w+;base64,/, '');
        const binary = atob(base64String);
        const arrayBuffer = new Uint8Array(binary.length);
        for (let i = 0; i < binary.length; i++) {
            arrayBuffer[i] = binary.charCodeAt(i);
        }

        // 👉 Upload image to S3
        const fileName = `login-${Date.now()}.jpg`; // Unique filename
        const params = {
            Bucket: 'xpert-employee-images', // ✅ Your S3 bucket
            Key: fileName,
            Body: arrayBuffer,
            ContentType: 'image/jpeg',
        };

        try {
            const s3 = new AWS.S3();
            const uploadResult = await s3.upload(params).promise();
            const imageUrl = uploadResult.Location;
            console.log(`Image uploaded successfully: ${imageUrl}`);

            // 👉 Call Lambda with S3 Image URL
            const lambdaPayload = {
                imageUrl, // ✅ Send S3 URL for face matching
            };

            const lambda = new AWS.Lambda();
            const lambdaParams = {
                FunctionName: 'processLoginImage', // ✅ Your Lambda Function
                Payload: JSON.stringify(lambdaPayload),
            };

            const response = await lambda.invoke(lambdaParams).promise();
            const responseData = JSON.parse(response.Payload);
            const body = JSON.parse(responseData.body);
            const employee = body.employee;
            employee.profilePic = imageUrl;
            console.log('Lambda response:', responseData);
            if (responseData.statusCode === 404) {
                displayError(body)
            } else {
                showEmployeeOverlay(employee);
                displaySuccess(body.message)
            }
            hideLoadingAnimation();
        } catch (err) {
            displayError('No match found.')
            hideLoadingAnimation();
        }
    });


});
