@extends('admin.layouts.form')

@section('custom_page_style')
    <style>
        .searchable_dropdown.open .dropdown-menu.inner{
            padding-left: 30px!important;
            margin-left: 10px!important;
        }
        .bootstrap-select .bs-searchbox, .bootstrap-select .bs-actionsbox, .bootstrap-select .bs-donebutton{
            padding: 0 0 5px 10px;
            border-bottom: 1px solid #e9e9e9;
            margin-left: 37px;
        }
    </style>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="block-header clearfix">
            <h2 class="pull-left">
                <i class="material-icons btn btn-sm btn-warning">edit</i> <span> &nbsp; Edit Employee</span>
            </h2>
            <a href="{!! URL::to('module/employee') !!}" class="pull-right">Back to List</a>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="body">
                        {!! Form::model($employee, ['url' => url('module/employee', $employee->id), 'class' => 'form']) !!}
                        @method('PATCH')
                        <div class="row clearfix">
                            <!-- First Name -->
                            <div class="col-xs-6">
                                <label for="first_name">First Name</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">person</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('first_name', null, ['class' => 'form-control', 'placeholder' => 'First Name', 'required']) !!}
                                    </div>
                                </div>
                            </div>

                            <!-- Last Name -->
                            <div class="col-xs-6">
                                <label for="last_name">Last Name</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">person</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('last_name', null, ['class' => 'form-control', 'placeholder' => 'Last Name', 'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- DOB -->
                        <div class="row clearfix">
                            <div class="col-xs-6">
                                <label for="dob">Date of Birth</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_today</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('dob', null, ['class' => 'form-control datepicker', 'placeholder' => 'Date of Birth']) !!}
                                    </div>
                                </div>
                            </div>

                            <!-- Class -->
                            <div class="col-xs-6">
                                <label for="class">Class</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">category</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('class', null, ['class' => 'form-control', 'placeholder' => 'Class']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Address Information -->
                        <div class="row clearfix">
                            <div class="col-xs-6">
                                <label for="address">Address</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">location_on</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('address', null, ['class' => 'form-control', 'placeholder' => 'Address']) !!}
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <label for="city">City</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">location_city</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('city', null, ['class' => 'form-control', 'placeholder' => 'City']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Additional Info -->
                        <div class="row clearfix">
                            <div class="col-xs-6">
                                <label for="state">State</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">public</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('state', null, ['class' => 'form-control', 'placeholder' => 'State']) !!}
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <label for="zip">ZIP</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">markunread_mailbox</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('zip', null, ['class' => 'form-control', 'placeholder' => 'ZIP']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Rates Section -->
                        <div class="row clearfix">
                            <div class="col-xs-6">
                                <label for="rate_type">Rate Type</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">attach_money</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::select('rate_type', ['BL' => 'BL', 'PCC' => 'PCC', '79' => '79'], null, ['class' => 'selectpicker', 'data-width'=>'100%', 'placeholder' => 'Rate Type']) !!}
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <label for="regular_rate">Regular Rate</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">attach_money</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('regular_rate', null, ['class' => 'form-control', 'placeholder' => 'Regular Rate']) !!}
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <label for="benefit_rate">Benefit Rate</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">money_off</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('benefit_rate', null, ['class' => 'form-control', 'placeholder' => 'Benefit Rate']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Submit Button -->
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <div class="form-group">
                                    {!! Form::submit('Update Employee', ['class' => 'btn btn-success btn-lg btn-block']) !!}
                                </div>
                            </div>
                        </div>

                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'YYYY-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });
        })
    </script>
@endsection
