<!-- resources/views/expense_heads/index.blade.php -->
@extends('admin.layouts.form')

@section('content')
    <div class="container-fluid">
        <div class="block-header">
            @if(session('success'))
                <div class="alert alert-success">
                    {{ session('success') }}
                </div>
            @endif
        </div>
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        <h2 class="pull-left">
                            <i class="material-icons btn btn-sm btn-warning">list</i> <span>&nbsp; Expense Heads</span>
                        </h2>
                        <a href="{{ url('module/expense_head/create') }}" class="pull-right">Create New Expense Head</a>
                    </div>
                    <div class="body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Parent</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($expenseHeads as $head)
                                <tr>
                                    <td>{{ $head->id }}</td>
                                    <td>{{ $head->name }}</td>
                                    <td>{{ $head->parent ? $head->parent->name : 'N/A' }}</td>
                                    <td>
                                        <a href="{{ url('module/expense_head/'.$head->id. '/edit') }}" class="btn btn-primary btn-sm">Edit</a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        // Add any custom scripts if needed
    </script>
@endsection
