@extends('admin.layouts.form')
@section('custom_page_style')
    <style>
        .header .input-group{
            margin-bottom: 0!important;
        }
        table th{
            vertical-align: middle!important;
        }
    </style>
@endsection
@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <h2 class="">
                <i class="material-icons btn btn-sm btn-warning">list</i> <span>&nbsp; Company wise client
            </h2>
        </div>

        <!-- Striped Rows -->
        <div class="row clearfix" id="app">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        {!! Form::open(['url'=>url('module/report/company_wise_report'),'class'=>'form']) !!}
                        <div class="row">
                            <div class="col-xs-7">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="material-icons">list</i></span>
                                    {!! Form::select('company',$company_lists,request()->company,['class'=>'form-control selectpicker']) !!}
                                </div>
                            </div>
                            <div class="col-xs-5">
                                {!! Form::submit('SEARCH',['class'=>'btn btn-md btn-success btn-block']) !!}
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                    <div class="body table-responsive">
                        <table class="table table-striped table-bordered table-hover">
                            <thead class="bg-teal">
                            <tr>
                                <th>Client</th>
                                <th>No of WO</th>
                                <th class="bg-success text-muted">Client Total</th>
                                <th class="bg-success text-muted">Client Paid</th>
                                <th class="bg-success text-muted">Client Unpaid</th>
                                <th class="bg-danger text-muted">Bank</th>
                                <th class="bg-danger text-muted">Card</th>
                                <th class="bg-danger text-muted">Loan</th>
                                <th class="bg-warning text-muted">Vendor Total</th>
                                <th class="bg-warning text-muted">Vendor Paid</th>
                                <th class="bg-warning text-muted">Vendor Unpaid</th>
                                <th>Gross Profit</th>
                                <th>Received GP</th>
                            </tr>
                            </thead>
                            <tbody>
                                <tr class="font-12 bg-light">
                                    <th>TOTAL</th>
                                    <th>{{ $total_work_orders }}</th>
                                    <th>{{ $total_client_total }}</th>
                                    <th>{{ $total_client_paid }}</th>
                                    <th>{{ $total_client_unpaid }}</th>
                                    <th>{{ $total_cashout_from_bank }}</th>
                                    <th>{{ $total_cashout_from_credit }}</th>
                                    <th>{{ $total_cashout_from_loan }}</th>
                                    <th>{{ $total_vendor_total }}</th>
                                    <th>{{ $total_vendor_paid }}</th>
                                    <th>{{ $total_vendor_unpaid }}</th>
                                    <th>{{ $total_gross_profit }}</th>
                                    <th>{{ $total_receive_gp }}</th>
                                </tr>
                            @foreach($results as $name=>$result)
                                <tr class="font-12">
                                    <td scope="row">{!! $name !!}</td>
                                    <td scope="row">{!! $result['work_orders'] !!}</td>
                                    <td scope="row">{!! $result['client_total'] !!}</td>
                                    <td scope="row">{!! $result['client_paid'] !!}</td>
                                    <td scope="row">{!! $result['client_unpaid'] !!}</td>
                                    <td scope="row">{!! $result['cashout_from_bank'] !!}</td>
                                    <td scope="row">{!! $result['cashout_from_credit'] !!}</td>
                                    <td scope="row">{!! $result['cashout_from_loan'] !!}</td>
                                    <td scope="row">{!! $result['vendor_total'] !!}</td>
                                    <td scope="row">{!! $result['vendor_paid'] !!}</td>
                                    <td scope="row">{!! $result['vendor_unpaid'] !!}</td>
                                    <td scope="row">{!! $result['gross_profit'] !!}</td>
                                    <td scope="row">{!! $result['receive_gp'] !!}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Striped Rows -->
    </div>
@endsection
@section('custom_page_script')
    <script type="text/javascript">

        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'Y-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });
            $('[data-toggle = tooltip]').tooltip();
        })

        var app = new Vue({
            el:'#app',
            data:{
                month: ''
            },
            methods:{

                on_change:function(){
                    let encoded = '?month='+encodeURIComponent(this.month).replace(/%20/g,'+')
                    window.location.href='{!! url('module/work_order') !!}?month='+this.user_id+encoded;
                }

            },
        });




    </script>
@endsection
