@extends('admin.layouts.form')
@section('custom_page_style')
    <style>
        .header .input-group{
            margin-bottom: 0!important;
        }
        table th{
            vertical-align: middle!important;
        }
    </style>
@endsection
@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <h2 class="">
                <i class="material-icons btn btn-sm btn-warning">list</i> <span>&nbsp; Expense
            </h2>
        </div>

        <!-- Striped Rows -->
        <div class="row clearfix" id="app">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        {!! Form::open(['url'=>url('module/report/expense_report'),'class'=>'form']) !!}
                        <div class="row">

                            <div class="col-xs-7">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="material-icons">list</i></span>
                                    {!! Form::select('expense_id',$expense_heads,request()->expense_id,['class'=>'form-control selectpicker']) !!}
                                </div>
                            </div>
                            <div class="col-xs-5">
                                {!! Form::submit('SEARCH',['class'=>'btn btn-md btn-success btn-block']) !!}
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                    <div class="body table-responsive">
                        <table class="table table-striped table-bordered table-hover">
                            <thead class="bg-teal">
                            <tr>
                                <th>Bank SL</th>
                                <th>Head</th>
                                <th>Amount</th>
                                <th>Date</th>
                                <th>Account type</th>
                                <th>Bank Code</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($results as $i=>$result)
                                <tr class="font-12">
                                    <td scope="row">{!! $result->statement_sl !!}</td>
                                    <td scope="row">{!! $result->expense->name !!}</td>
                                    <td scope="row">{!! $result->expense_amount !!}</td>
                                    <td scope="row">{!! $result->transaction_date !!}</td>
                                    <td scope="row">{!! $result->account_type !!}</td>
                                    <td scope="row">{!! $result->bank_code !!}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        {!! $results->appends(request()->all())->links() !!}
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Striped Rows -->
    </div>
@endsection
@section('custom_page_script')
    <script type="text/javascript">

        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'Y-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });
            $('[data-toggle = tooltip]').tooltip();
        })

        var app = new Vue({
            el:'#app',
            data:{
                month: ''
            },
            methods:{

                on_change:function(){
                    let encoded = '?month='+encodeURIComponent(this.month).replace(/%20/g,'+')
                    window.location.href='{!! url('module/work_order') !!}?month='+this.user_id+encoded;
                }

            },
        });




    </script>
@endsection
