@extends('admin.layouts.form')

@section('custom_page_style')
    <style>
        .searchable_dropdown.open .dropdown-menu.inner {
            padding-left: 30px !important;
            margin-left: 10px !important;
        }

        .bootstrap-select .bs-searchbox, .bootstrap-select .bs-actionsbox, .bootstrap-select .bs-donebutton {
            padding: 0 0 5px 10px;
            border-bottom: 1px solid #e9e9e9;
            margin-left: 37px;
        }

        .icon_of_ad_more_button {
            display: inline-block;
            margin-top: -2px;
            float: left;
            margin-left: 0px;
            margin-right: 4px;
            font-size: 16px !important;
        }
    </style>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="block-header clearfix">
            <h2 class="pull-left">
                <i class="material-icons btn btn-sm btn-warning">create</i> <span> &nbsp; Create new Timesheet</span>
            </h2>
            <a href="{!! URL::to('module/timesheet') !!}" class="pull-right">Back to List</a>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="body">
                    {!! Form::open(['url' => url('module/timesheet'), 'class' => 'form']) !!}

                    <!-- Company Name -->
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="company_name">Company Name</label>
                                <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">business</i>
                                </span>
                                    <div class="form-line">
                                        {!! Form::text('company_name', null, ['class' => 'form-control', 'placeholder' => 'Enter Company Name', 'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Development -->
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="development">Development</label>
                                <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">location_city</i>
                                </span>
                                    <div class="form-line">
                                        {!! Form::text('development', null, ['class' => 'form-control', 'placeholder' => 'Enter Development', 'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Contractor -->
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="contractor">Contractor</label>
                                <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">work</i>
                                </span>
                                    <div class="form-line">
                                        {!! Form::text('contractor', null, ['class' => 'form-control', 'placeholder' => 'Enter Contractor Name', 'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Work Date -->
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="work_date">Work Date</label>
                                <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">calendar_today</i>
                                </span>
                                    <div class="form-line">
                                        {!! Form::text('work_date', null, ['class' => 'form-control datepicker', 'placeholder' => 'Select Work Date', 'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Contract Number -->
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="contract_no">Contract Number</label>
                                <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">receipt</i>
                                </span>
                                    <div class="form-line">
                                        {!! Form::text('contract_no', null, ['class' => 'form-control', 'placeholder' => 'Enter Contract Number', 'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Employees Section -->
                        <div id="app">
                            <div class="card">
                                <div class="header bg-info">
                                    <h4>Employee's time log</h4>
                                </div>
                                <div class="body">
                                    <div class="row clearfix" v-for="(employee, index) in employees" :key="index">
                                        <div class="col-xs-12">
                                            <label for="employee_name">Employee Name</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="material-icons">person</i>
                                                </span>
                                                <div class="form-line">
                                                    <select class="searchable_dropdown selectpicker"
                                                            data-live-search="true" v-model="employee.id"
                                                            data-width="100%" :name="'employee_id['+index+']'"
                                                            @change="setEmployeeDefaults(employee)"
                                                            data-title="--Select Employee--"
                                                            required
                                                    >
                                                        <option v-for="option in employeeOptions" :value="option.id">
                                                            @{{ option.full_name }}
                                                        </option>
                                                    </select>
                                                </div>
                                                <span class="input-group-btn">
                                                    <button class="btn btn-danger btn-xs" type="button"
                                                            @click="removeEmployee(index)"><i class="material-icons">remove</i></button>
                                                </span>
                                            </div>
                                        </div>

                                        <div class="col-xs-6">
                                            <label for="work_classification">Work Classification</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="material-icons">work_outline</i>
                                                </span>
                                                <div class="form-line">
                                                    <input name="work_classification[]  " type="text" class="form-control"
                                                           v-model="employee.work_classification"
                                                           placeholder="Enter Work Classification" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-xs-6">
                                            <label for="ssn">SSN (Last 4 Digits)</label>
                                            <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">lock</i>
                                    </span>
                                                <div class="form-line">
                                                    <input name="ssn[]" type="text" class="form-control" v-model="employee.ssn"
                                                           placeholder="Enter SSN" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-xs-6">
                                            <label for="time_in">Time In</label>
                                            <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">access_time</i>
                                    </span>
                                                <div class="form-line">
                                                    <input name="time_in[]" type="text" class="form-control" v-model="employee.time_in"
                                                           placeholder="Enter Time In" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-xs-6">
                                            <label for="time_out">Time Out</label>
                                            <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">exit_to_app</i>
                                    </span>
                                                <div class="form-line">
                                                    <input name="time_out[]" type="text" class="form-control" v-model="employee.time_out"
                                                           placeholder="Enter Time Out" required>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row clearfix">
                                        <div class="col-xs-12">
                                            <button class="btn btn-primary" type="button" @click="addEmployee"><i
                                                    class="material-icons icon_of_ad_more_button">add</i> Add Employee
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12">
                                <div class="form-group">
                                    {!! Form::submit('Submit Timesheet', ['class'=>'btn btn-success btn-lg btn-block']) !!}
                                </div>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'MM/DD/YYYY',
                clearButton: true,
                weekStart: 1,
                time: false
            });

            $('.searchable_dropdown').selectpicker({
                liveSearch: true,
                showSubtext: true
            });
        });

        var app = new Vue({
            el: '#app',
            data: {
                employees: [{
                    name: '',
                    work_classification: '',
                    ssn: '',
                    time_in: '',
                    time_out: ''
                }],
                employeeOptions: @json($employees)
            },
            methods: {
                addEmployee() {
                    this.employees.push({
                        name: '',
                        work_classification: '',
                        ssn: '',
                        time_in: '',
                        time_out: ''
                    });
                    this.$nextTick(() => {
                        $('.searchable_dropdown').selectpicker('refresh');
                    });
                },
                removeEmployee(index) {
                    this.employees.splice(index, 1);
                },
                setEmployeeDefaults(employee) {
                    const selectedEmployee = this.employeeOptions.find(option => option.id === employee.id);
                    console.log(selectedEmployee);
                    if (selectedEmployee) {
                        employee.work_classification = selectedEmployee.work_classification;
                        employee.ssn = selectedEmployee.ssn;
                    }
                }
            },
            watch: {
                employees: {
                    handler(newEmployees) {
                        newEmployees.forEach((employee, index) => {
                            if (employee.name) {
                                this.setEmployeeDefaults(employee);
                            }
                        });
                    },
                    deep: true
                }
            },
            mounted() {
                console.log(this.employeeOptions); // Log to check if employeeOptions is correctly populated
            }
        });
    </script>
@endsection

